org.apache.pdfbox.preflight.font.descriptor

## Class CIDType0DescriptorHelper

- java.lang.Object
- - org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper<CIDType0Container>
  - - org.apache.pdfbox.preflight.font.descriptor.CIDType0DescriptorHelper

    public class CIDType0DescriptorHelper
    extends FontDescriptorHelper<CIDType0Container>

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper

`context, fContainer, font, fontDescriptor`

### Constructor Summary

Constructors
Constructor and Description
`CIDType0DescriptorHelper(PreflightContext context, org.apache.pdfbox.pdmodel.font.PDFontLike font, CIDType0Container fontContainer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkCIDSet(org.apache.pdfbox.pdmodel.font.PDFontDescriptor pfDescriptor)` If the embedded font is a subset, the CIDSet entry is mandatory and must be a Stream.
`org.apache.pdfbox.pdmodel.common.PDStream` `extractFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor)`
`protected void` `processFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor, org.apache.pdfbox.pdmodel.common.PDStream fontFile)`

### Methods inherited from class org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper

`checkFontFileMetaData, checkMandatoryFields, fontFileNotEmbedded, getMetaDataStreamAsBytes, hasOnlyOneFontFile, isSubSet, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CIDType0DescriptorHelper

    public CIDType0DescriptorHelper(PreflightContext context,
                                    org.apache.pdfbox.pdmodel.font.PDFontLike font,
                                    CIDType0Container fontContainer)

### Method Detail

#### extractFontFile

    public org.apache.pdfbox.pdmodel.common.PDStream extractFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor)

Specified by:
  `extractFontFile` in class `FontDescriptorHelper<CIDType0Container>`

#### checkCIDSet

    protected void checkCIDSet(org.apache.pdfbox.pdmodel.font.PDFontDescriptor pfDescriptor)

If the embedded font is a subset, the CIDSet entry is mandatory and must be a Stream. If the CIDSet entry doesn't respects conditions, the FontContainer is updated.

Parameters:
  `pfDescriptor` -

#### processFontFile

    protected void processFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor,
                                   org.apache.pdfbox.pdmodel.common.PDStream fontFile)

Specified by:
  `processFontFile` in class `FontDescriptorHelper<CIDType0Container>`